Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface Renderer

    public interface Renderer

Defines the requirements for an object responsible for "rendering" (displaying) a value.

Method Summary
`Component` | `getComponent()` Returns the component used to render the value.
`void` | `setValue(Object aValue, boolean isSelected)` Specifies the value to display and whether or not the value should be portrayed as "currently selected".

Method Detail

### setValue

    void setValue(Object aValue,
                  boolean isSelected)

  Specifies the value to display and whether or not the value should be portrayed as "currently selected".

  Parameters:
    `aValue` - an Object object
    `isSelected` - a boolean

### getComponent

    Component getComponent()

  Returns the component used to render the value.

  Returns:
    the Component responsible for displaying the value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.